#define VERSION 106           /* Version 1.06 */

#define FREQ_PER_BIN 20.0893  /* 576000 / 56 / 512 */

#define spHR      0             /* Index for high resolution power spectrum */
#define spXP      1             /* Index for low resolution, X component, power spectrum */
#define spYP      2
#define spZP      3

#define mLR       1             /* Low resolution mode number for -m */
#define mHR       2             /* High resolution mode number for -m */

#define vSRP      1             /* Verbosity flag for SRP info */
#define vTIME     2             /* Verbosity flag for TIME info */
#define vDATA     4             /* Verbosity flag for DATA info */
#define vHK       8             /* Verbosity flag for STAFF HK info */
#define vDECOM    16            /* Verbosity flag for decommutation errors */
#define vSKIP     32            /* Verbosity flag for packet skipping (-a, -b and -l options) */
#define vGAIN     64            /* Verbosity flag for mixed gain */


#define TWOPI (2.0*3.14159)

/* SCI packet header field macros */
/*
#define pktsize(p)   (((p[0]&1) << 9) + (p[1] << 1) + 2)
#define pktpos(p)    ((p[0]&0xc0) >> 6)
#define source(p)    ((p[0]&0x38) >> 3)
#define pktcount(p)  ((p[0]&0x06) >> 1)
#define headword(p)  ((p[0] << 8) + p[1])
#define sampclks(p) (((p[2]&0x1f) << 8) + p[3])
#define resetcnt(p) ((p[2]&0xe0) >> 5)
*/
#define udefbits(p)  ((p[0]&0x06) >> 1)

#define disableZ(p)  (p[4]&0x40)
#define disableY(p)  (p[4]&0x20)
#define disableX(p)  (p[4]&0x10)
#define disableXYZ(p) ((p[4]&0x70) >> 4)
#define despinoff(p) (p[4]&0x68)
#define despinrev(p) (p[4]&0x04)
#define higain(p)    (p[4]&0x02)
#define logain(p)    (p[4]&0x01)
#define fftcount(p)  (p[5])

