/*{{{  constants*/
#define SCI_SIZE 65536           /* Bytes */
#define HK_SIZE  256             /* Bytes */
#define HK_ACT_SIZE  192         /* Bytes */
#define MAXASMBSIZE 4096         /* Bytes */
// #define MAXASMBSIZE 132000         /* Bytes */

#define SIS_HEADSIZE 14          /* Bytes */
#define DDS_HEADSIZE 15          /* Bytes */
#define PKT_HEADSIZE 2

#define TRUE 1
#define FALSE 0

#define SINGLE_BLK 0
#define FIRST_BLK  1
#define LAST_BLK   2
#define MIDDLE_BLK 3

#define COR_INST_NUM 5

#define fmROW_TLM 0             /* Cluster DWP ROW telemetry file */
#define fmROW_CMD 1             /* Cluster DWP ROW command log file */
#define fmCCS_TLM 2             /* Cluster CCS telemetry file */
#define fmM94_TLM 3             /* ELISMA DWP telemetry file ROW or GSE-C */
#define fmDDS_TLM 4             /* Cluster Data Delivery System file */
#define fmSIS_TLM 5             /* Cluster WEC EGSE telemetry file */
#define fmFDG_TLM 6             /* Cluster WEC EGSE telemetry file,
                                   time stamps to be fudged */

/*}}}  */

#define blksize(p)   (((p[0]&1) << 9) + (p[1] << 1) + 2)
#define blkpos(p)    ((p[0]&0xc0) >> 6)
#define source(p)    ((p[0]&0x38) >> 3)
#define blkcount(p)  ((p[0]&0x06) >> 1)
#define headword(p)  ((p[0] << 8) + p[1])
#define samp_clks(p) (((p[2]&0x1f) << 8) + p[3])
#define reset_cnt(p) ((p[2]&0xe0) >> 5)


/*{{{  hk block macros*/
#define valid_hk(p)  (p[0] == 0xcd)
#define hk_rst_cnt(p) ((p[2] << 8) + p[3])
#define peace_fps(p) ((p[32] & 0xc0) >> 6)
#define peace_srp(p) (((p[32] & 0x0f) << 8) + p[33])
#define corbitrate(p) (p[30] & 0x03)
/*}}}  */

char *doubledate (double dtime);
char *doubletime (double dtime);
long encode_time (char *string);
int proc_file (FILE *hk_file, FILE *sci_file, long start, long finish, int format);

